BITCOIN-SEEDER(1)

NAME
bitcoin-seeder - manual page for bitcoin-seeder v26.1.0

SYNOPSIS
bitcoin-seeder -host=<host> -ns=<ns> [-mbox=<mbox>] [-threads=<threads>] [-port=<port>]

DESCRIPTION
Bitcoin Cash Node Seeder v26.1.0-44591e2a2

OPTIONS

-?, -h, -help

    Print this help message and exit

-dnsthreads=<threads>

    Number of DNS server threads (default: 4)

-filter=<f1,f2,...>

    Allow these flag combinations as filters

-host=<host>

    Hostname of the DNS seed

-mbox=<mbox>

    E-Mail address reported in SOA records

-ns=<ns>

    Hostname of the nameserver

-threads=<threads>

    Number of crawlers to run in parallel (default: 96)

-version

    Print version and exit

Connection options:

-onion=<ip:port>

    Tor proxy IP/Port

-port=<port>

    UDP port to listen on (default: 53)

-proxyipv4=<ip:port>

    IPV4 SOCKS5 proxy IP/Port

-proxyipv6=<ip:port>

    IPV6 SOCKS5 proxy IP/Port

-reseed

    Reseed the database from the fixed seed list (default: 0)

-wipeban

    Wipe list of banned nodes (default: 0)

-wipeignore

    Wipe list of ignored nodes (default: 0)

Chain selection options:

-chipnet

    Use the upcoming upgrade activation chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-scalenet

    Use the scaling test chain

-testnet

    Use the test chain

-testnet4

    Use the test4 chain

COPYRIGHT
Copyright (C) 2009-2023 The Bitcoin developers Please contribute if you find Bitcoin Cash Node useful. Visit <https://bitcoincashnode.org> for further information about the software. The source code is available from <https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node>. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard. Using Berkeley DB 5.3.28: (September 9, 2013).